=== debian/changelog ===
js-of-ocaml (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch for cmdliner 1.1.1 support.
  * Clean empty files.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 10:11:01 +0200

js-of-ocaml (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Build doc

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 13:40:49 +0100
