=== debian/watch ===
version=4
https://github.com/ocsigen/js_of_ocaml/releases .*-([0-9.]+)\.tbz
