## js-of-ocaml 5.4.0

=== debian/changelog ===
js-of-ocaml (5.4.0-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 13:37:34 +0200

js-of-ocaml (5.4.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:32:19 +0200

js-of-ocaml (5.4.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 05:22:37 +0200

js-of-ocaml (5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 10:58:13 +0200

js-of-ocaml (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2.
  * Document patches better.
  * New upstream release.
  * Fix compilation with recent dune
  * Add missing depend on sedlex

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 10:17:24 +0200
