=== debian/watch ===
version=4
https://github.com/ocsigen/js_of_ocaml/tags .*/([0-9.]+)\.tar\.gz
