## js-of-ocaml 5.6.0

=== debian/changelog ===
js-of-ocaml (5.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Feb 2024 11:23:53 +0100
