=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
  liblwt-log-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.3),
  libreactivedata-ocaml-dev (>= 0.2),
+ libsedlex-ocaml-dev,
  menhir,
  libmenhir-ocaml-dev,
  rsync,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ocsigen.org/js_of_ocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml
