## js-of-ocaml 5.8.2

=== debian/changelog ===
js-of-ocaml (5.8.2-2build6) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Sep 2024 12:58:52 +0200

js-of-ocaml (5.8.2-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:39:38 +0200

js-of-ocaml (5.8.2-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:47:06 +0200

js-of-ocaml (5.8.2-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 16:06:07 +0200

js-of-ocaml (5.8.2-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2024 10:52:59 +0200

js-of-ocaml (5.8.2-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:34:50 +0200

js-of-ocaml (5.8.2-2) unstable; urgency=medium

  * Build doc only on indep builds

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:39:29 +0200

js-of-ocaml (5.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:50:53 +0200
