=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
- ocaml-odoc <!nodoc>,
  ocaml-dune (>= 2.5),
  ocaml-findlib,
  libfindlib-ocaml-dev,
@@ -17,13 +16,15 @@
  libuchar-ocaml-dev,
  liblwt-ocaml-dev,
  liblwt-log-ocaml-dev,
- libtyxml-ocaml-dev (>= 4.3),
+ libtyxml-ocaml-dev (>= 4.6),
  libreactivedata-ocaml-dev (>= 0.2),
  libsedlex-ocaml-dev,
  menhir,
  libmenhir-ocaml-dev,
  rsync,
  dh-ocaml (>= 1.2.2)
+Build-Depends-Indep:
+ ocaml-odoc <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ocsigen.org/js_of_ocaml
