=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  liblwt-log-ocaml-dev,
  libtyxml-ocaml-dev (>= 4.6),
  libreactivedata-ocaml-dev (>= 0.2),
- libsedlex-ocaml-dev,
+ libsedlex-ocaml-dev (>= 3.3),
  menhir,
  libmenhir-ocaml-dev,
  rsync,
