## js-of-ocaml 6.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 	dune build @all
 
 tests:
-	dune runtest
+	dune build @runtest @runtest-js
+
+tests-wasm:
+	WASM_OF_OCAML=true dune build @runtest-wasm
 
 test runtest runtests: tests
 
@@ -24,6 +27,12 @@
 	dune build @fmt --auto-promote 2> /dev/null || true
 	git diff --exit-code
 
+fmt-js:
+	npx @biomejs/biome@1.9 format --write
+
+lint-js:
+	npx @biomejs/biome@1.9 lint
+
 clean:
 	dune clean
 
@@ -31,4 +40,7 @@
 	git worktree add _wikidoc origin/wikidoc
 	rsync -av doc-dev/ _wikidoc/doc/dev/
 
-.PHONY: all tests test runtest runtests doc clean installdoc
+bench:
+	$(MAKE) -C benchmarks bench
+
+.PHONY: all tests tests-wasm test runtest runtests doc clean installdoc bench
