=== benchmarks/Makefile ===
--- 
+++ 
@@ -9,6 +9,31 @@
 
 # For full benchs:
 all: _perf graphsnopr graphspr graphseff _noperf
+
+# This target is the one run by `current-bench`,
+# see https://github.com/ocurrent/current-bench
+.PHONY: bench microbenchmarks
+bench:
+	@date -u +"%FT%TZ - Installing dependencies"
+	opam pin -yn --with-version=dev ..
+	opam install -y wasm_of_ocaml-compiler js_of_ocaml-ppx gen_js_api brr
+	$(MAKE) microbenchmarks
+	$(MAKE) -C benchmark-fiat-crypto bench
+	$(MAKE) -C benchmark-ocamlc bench
+	$(MAKE) -C benchmark-partial-render-table bench
+	$(MAKE) -C benchmark-camlboy bench
+	$(MAKE) -C benchmark-others bench
+
+microbenchmarks:
+	@date -u +"%FT%TZ - Microbenchmarks: starting"
+	make _noprecomp
+	@date -u +"%FT%TZ - Microbenchmarks: compiler"
+	$(RUN) ./report-wasm-cb.config ./report-jsoo-cb.config
+	$(REPORT) -format current-bench -config report-wasm-cb.config \
+	  -ylabel "Wasm_of_ocaml" | sh utils/aggregate.sh wasm
+	$(REPORT) -format current-bench -config report-jsoo-cb.config \
+	  -ylabel "Js_of_ocaml" | sh utils/aggregate.sh js
+	@date -u +"%FT%TZ - Microbenchmarks: done"
 
 graphsnopr: _noprecomp $(GRAPHSNOPR)
 
@@ -48,7 +73,7 @@
 	touch __run
 
 __run_effects:
-	$(RUN) -fast -nobyteopt -effects
+	$(RUN) -fast report-time-effects.config
 	touch __run_effects
 
 fastrun:
