=== benchmarks/benchmark-others/Makefile ===
SUBDIRS := $(wildcard */.)

bench: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: all $(SUBDIRS)
