=== debian/changelog ===
js-of-ocaml (6.2.0-2build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 07:37:08 +0200

js-of-ocaml (6.2.0-2build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:44:35 +0200

js-of-ocaml (6.2.0-2) unstable; urgency=medium

  * Add version constraint in libjs-of-ocaml-dev dependency

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Sep 2025 11:37:21 +0200

js-of-ocaml (6.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 07:49:30 +0200
