=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  dh-ocaml (>= 1.2.2)
 Build-Depends-Indep:
  ocaml-odoc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://ocsigen.org/js_of_ocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml
@@ -34,7 +34,7 @@
 Package: js-of-ocaml
 Architecture: any
 Depends:
- libjs-of-ocaml-dev,
+ libjs-of-ocaml-dev (= ${binary:Version}),
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
