=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,22 @@
 %:
 	dh $@ --with ocaml --buildsystem ocaml_dune
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	rm -f compiler/tests-jsoo/dune         # makes the build fail on amd64
 	rm -f compiler/lib-runtime/tests/dune  # makes the build fail on bytecode architectures
 ifeq ($(OCAML_HAVE_OCAMLOPT),no)
 	sed -i 's/ native//' compiler/bin-js_of_ocaml/dune
 endif
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter libjs-of-ocaml-doc,$(shell dh_listpackages)))
 	$(MAKE) doc
 endif
-	dh_auto_build
+endif
 
 override_dh_auto_test:
 # Needs ppx-expect, ppx-hash, node, Uchar.utf_decode...
 
-override_dh_install:
-	dh_install
+execute_after_dh_install-indep:
 	mkdir -p debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc
 	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/api
 	rm -rf debian/libjs-of-ocaml-doc/usr/share/doc/libjs-of-ocaml-doc/manual
